Skip to main content
Storage Management/Data Storage APIs/Distributed Storage Related Interfaces
PUTDistributed Storage Related InterfacesSince 0.6SynchronousAuth Required

Update Distributed Storage Monitoring Node

Update Distributed Storage Monitoring Node

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • monUuidStringRequired

    Monitoring node UUID

Body Fields

  • hostnameString

    New host IP address of the monitoring node

  • sshUsernameString

    SSH username of the monitoring node host

  • sshPasswordString

    SSH password of the monitoring node host

  • sshPortInteger

    SSH port of the monitoring node host

  • monPortInteger

    New port of the mon

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, indicates the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number, globally unique identifier for the error, such as SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause. The source error that triggered the current error. If there is no original error, this field is null

  • inventoryCephPrimaryStorageInventoryRequired

    For details, see inventory

    • fsidStringRequired

      No description provided.

    • rootVolumePoolNameStringRequired

      根量池名称。

    • dataVolumePoolNameStringRequired

      数据量池名称。

    • imageCachePoolNameStringRequired

      镜像缓存池名称。

    • uuidStringRequired

      Resource UUID, uniquely identifies the resource

    • zoneUuidStringRequired

      Data Center UUID

    • nameStringRequired

      Resource name

    • urlStringRequired

      地址。

    • descriptionStringRequired

      Detailed description of the resource

    • totalCapacityLongRequired

      总容量。

    • availableCapacityLongRequired

      可用容量。

    • totalPhysicalCapacityLongRequired

      总物理容量。

    • availablePhysicalCapacityLongRequired

      可用物理容量。

    • systemUsedCapacityLongRequired

      系统已使用容量。

    • typeStringRequired

      类型。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • mountPathStringRequired

      mount路径。

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • attachedClusterUuidsListRequired

      附加集群UUID。

    • monsListRequired

      For details, see mons

      • hostnameStringRequired

        No description provided.

      • monPortIntegerRequired

        No description provided.

      • createDateTimestampRequired

        Creation time

      • lastOpDateTimestampRequired

        Last modification time

      • primaryStorageUuidStringRequired

        Data Storage UUID

      • monAddrStringRequired

        No description provided.

      • sshUsernameStringRequired

        SSH用户名。

      • sshPasswordStringRequired

        SSH密码。

      • sshPortIntegerRequired

        SSH端口。

      • statusStringRequired

        状态信息。

      • monUuidStringRequired

        No description provided.

Endpoint

PUT/zstack/v1/primary-storage/ceph/mons/{monUuid}/actions

/zstack/v1/primary-storage/ceph/mons/{monUuid}/actions

Operation ID

UpdateCephPrimaryStorageMon

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/primary-storage/ceph/mons/{monUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"hostname":"<hostname>","sshUsername":"<sshUsername>","sshPassword":"<sshPassword>","sshPort":1,"monPort":1,"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "mons": [ { "monAddr": "10.0.1.4", "monUuid": "d557e48870b04ef699509d2998084bdb" } ], "name": "My Ceph Primary Storage", "description": "Public Ceph Primary Storage", "totalCapacity": 1.073741824E9, "availableCapacity": 9.68884224E8, "type": "Ceph", "state": "Enabled", "status": "Connected", "createDate": "Jun 7, 2017 9:21:22 PM", "lastOpDate": "Jun 7, 2017 9:21:22 PM", "attachedClusterUuids": [ "3fa1f7c2bbb544e1a04ba9f9da935abe" ] } }

Change History

This API has no change history records yet.

View all change history